:root {
    --background-color: rgb(241, 241, 241);
    --background-color2: rgb(255, 255, 255);
    --dark-background-color: rgb(20, 20, 30);
    --dark-background-color2: rgb(35, 35, 45);
    --input-background-color: rgba(195,195,195,0.4);
    --input-background-color-focus: rgba(195,195,195,0.6);
    --table-background-color1: rgb(226, 226, 226);
    --table-background-color2: rgb(246, 246, 246);
    --table-background-hover: rgb(255,255,255);
    --main-color: rgb(0, 120, 215);
    --main-color-hover: rgb(0, 83, 152);
    --green-color: rgb(95,245,103);
    --red-color: rgb(212, 23, 23);
    --red-color-hover: rgb(176, 9, 9);
    --success-color: rgb(40,167,69);
    --warning-color: rgb(255,193,7);
    --error-color: rgb(220,53,69);
    --text-color: #272727;
  }
  
@media (prefers-color-scheme: dark) {
    :root {
        --background-color: rgb(20, 20, 30);
        --background-color2: rgb(35, 35, 45);
        --input-background-color: rgba(60,60,60,0.4);
        --input-background-color-focus: rgba(60,60,60,0.6);
        --table-background-color1: rgb(71,71,71);
        --table-background-color2: rgb(40,40,40);
        --table-background-hover: rgb(90,90,90);
        --main-color: rgb(32, 113, 199);
        --main-color-hover: rgb(27, 81, 138);
        --green-color: rgb(24,222,74);
        --red-color: rgb(212, 23, 23);
        --text-color: #ffffff;
    }
}

@font-face {
    font-family: 'Lato';
    src: url('https://fonts.elusso.fr/Lato/Lato-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
  }

html{ height: 100%; }

body{
    background-color: var(--background-color);
    margin: 0;
    font-family: 'Lato', system-ui;
    color: var(--text-color);
    display: flex;
    align-items: center;
    flex-direction: row;
    height: 100%;
}
    
*{
    user-select: none;
    -webkit-user-select: none;
}

*.selectable{
    user-select: auto;
    -webkit-user-select: auto;
}

svg{ fill: var(--text-color); }

h1,h2,h3,h4,h5,h6{ font-weight: normal; }

hr{
    width: 80%;
    border: 1px solid white;
    border-radius: 10px;
}

hr.margin0{ margin: 0; }

button {
    border: none;
    font-family: 'Lato', system-ui;
    font-size: 18px;
  }

.logo{ margin: 5px; }

.logo.high{ height: 150px; }

.header{
    width: 100%;
    height: 50px;
    background-color: rgba(60,60,60,0.4);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header .left-container, .header .right-container{
    height: 100%;
    width: 180px;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.header .logo{ height: 80%; }

.header .title.button{ width: 100%; }

.header .title-container{
    flex-grow: 1;
    display: flex;
    justify-content: center;
}

.header .title{ font-size: 25px; }

.header .button{
    height: 40px;
    width: 40px;
    margin: 0;
}

.header .dropdown-container{
    display: none;
    position: absolute;
    background-color: rgba(60,60,60,0.4);
    width: 200px;
    z-index: 1;
    flex-direction: column;
    right: 0;
    margin-top: 5px;
}

.header .dropdown.show .dropdown-container{ display: flex; }

.header .dropdown-container > a{
    height: 35px;
    width: 190px;
    border-radius: 10px;
    margin: 5px 5px;
}

a{
    text-decoration: none;
    color: white;
}

#sidebar {
  height: 100%;
  width: 275px;
  background-color: var(--dark-background-color2);
  position: fixed;
  left: 0;
  max-height: 100vh;
  overflow: auto;
}

#sidebar span{ color: white; }

#sidebarTopInfo{
    display: flex;
    flex-direction: column;
}

.sidebarTitle{
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 28px;
    margin: 20px;
}

.sidebarUserInfo{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.sidebarUserInfo #name, .sidebarUserInfo #organisation{
    font-size: 20px;
    text-align: center;
}

.sidebarUserInfo hr{ width: 20%; }

.sidebarUserInfo #role{ font-size: 16px; }

.listnav{ margin-top: 30px; }

.listnavTitle{ margin-left: 40px; }

.navButton{
    text-decoration: none;
    border-radius: 10px;
    margin: 15px 25px;
    height: 50px;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: start;
}

.navButton.active { background-color: var(--main-color); }

.navButton:hover{
    transition: 0.4s;
    background-color: var(--main-color-hover);
}

.navButton span{
    margin-left: 20px;
    vertical-align: middle;
    font-weight: lighter;
    font-size: 24px;
}

.navButton svg{
    margin-left: 20px;
    fill: white;
    width: 25px;
    height: auto;
}

.container{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    min-width: 200px;
    margin: 10px 15px;
}

.container .login{ min-width: 500px; }

.container.bg{ background-color: var(--background-color2); }

.container.bg2{ background-color: var(--input-background-color); }

.container.fullcenter{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100%;
}

.container.sidenavbar{
    display: flex;
    justify-content: stretch;
    align-items: center;
    height: 100vh;
    margin-left: 275px;
    margin-right: 0;
    flex-grow: 1;
}

.container.border {
    border-radius: 20px;
    padding: 10px;
}

.container.border.borderRed {
    border: 4px solid var(--red-color);
}

.container.border.borderYellow {
    border: 4px solid var(--warning-color);
}

.container.border.borderGreen {
    border: 4px solid var(--green-color);
}

.container h1{ margin: 10px 0; }

.container h2{
    margin: 0;
    font-size: 1.7em;
}

.flexrow {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    min-width: 200px;
    margin-right: 10px;
    margin-left: 10px;
    flex-direction: row;
    flex-wrap: wrap;
}

.container.row{ flex-direction: row; }

.container.row > .container{
    margin-top: 10px;
    margin-bottom: 10px;
}

.container.small{
    min-width: 100px;
}

.subcontainer {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin: 5px 15px;
}

.subcontainer>h3{ margin: 5px 0; }

span.title{ font-size: 32px; }

span.bigvalue{
    font-size: 48px;
    margin: 10px;
}

span.mediumvalue{ font-size: 36px; }

span.smallvalue{ font-size: 24px; }

.segment{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 100%;
}

.segment > h1 { font-weight: normal; }

.segment #pageTitle{
    font-size: 28px;
    margin: 20px;
}

.segment.row{ flex-direction: row; }

.segment.start{ align-items: start; }

.button{
    background-color: var(--main-color);
    color: var(--text-color);
    text-decoration: none;
    border-radius: 10px;
    margin: 15px 25px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: start;
    cursor: pointer;
}

.button:hover{
    transition: 0.4s;
    background-color: var(--main-color-hover);
}

.button span{
    margin: 0 20px;
    vertical-align: middle;
    font-weight: lighter;
    font-size: 24px;
    color: white;
}

.button svg{
    margin-left: 20px;
    fill: white;
    width: 25px;
    height: auto;
}

.button.red{ background-color: var(--red-color); }

.button.red:hover{
    transition: 0.4s;
    background-color: var(--red-color-hover);
}

.text-center{ text-align: center; }

/* Table*/

th{ font-weight: normal; }

.table-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.table-container.fullWidth{
    width: 98%;;
}
  
.table {
    border-collapse: separate;
    border-spacing: 0;
    width: 100%;
    max-width: 100%;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.table.maxW1{ max-width: 500px; }

.table thead{ background-color: var(--table-background-color2); }

.table td,
.table th,
.table thead {
    padding: 5px 20px;
    text-align: left;
}

.table th { border-bottom: 1px solid #dddddd; }

.table tbody tr {
    height: 50px;
    background-color: var(--table-background-color2);
}

.table tbody tr:nth-child(even) { background-color: var(--table-background-color1) }

.table tbody tr:hover, .table tbody tr:nth-child(even):hover{
    background-color: var(--table-background-hover);
    transition-duration: 0.3s;
    transition-timing-function: ease;
}

.table.small tr{
    height: 30px;
}

.table.noBg tbody tr, .table.noBg tbody tr:nth-child(even),.table.noBg thead{
    background-color: unset;
}

/* Form */

form{ min-width: 350px; }

form.mini{ min-width: 200px; }

form.full-width{ width: 100%; }

form .input-container{
    min-height: 60px;
    display: flex;
    align-items: stretch;
    flex-direction: column;
    justify-content: space-between;
    margin-top: 10px;
    margin-bottom: 10px;
}

form .input-container.fixheight{ height: 60px; }

.input-container-2{
    height: 60px;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-between;
}

.input-container-2, .input-container-2 > select { width: 100%; }

form .multiInput-container{
    display: flex;
    align-items: stretch;
    flex-direction: column;
    justify-content: space-between;
}

form .multiInput-container input{ margin: 10px 0; }

input[type="checkbox"]{
    width: 20px;
    height: 20px;
}

.input-subcontainer{
    height: 30px;
    display: flex;
    align-items: center;
    flex-direction: row;
    justify-content: space-between;
    flex-wrap: wrap;
}

form .input-container-checkbox{
    height: 30px;
    background-color: var(--input-background-color);
    display: flex;
    align-items: center;
    font-size: large;
    border-radius: 5px;
    padding: 0 10px;
    margin: 0 5px;
}

form .input-container-checkbox label{
    margin-left: 5px;
    line-height: 1.5;
    color: var(--text-color);
}

form .input-container-info {
    min-height: 60px;
    display: flex;
    align-items: stretch;
    flex-direction: column;
    justify-content: space-between;
    margin-top: 10px;
    margin-bottom: 10px;
}

form .input-container-info label{
    margin-right: 20px;
    font-size: large;
}

form .input-container-info span{
    margin: 5px 0;
}

form .input-container-info span.msg{
    font-size: 24px;
}

form span.apiKey{
    font-size: 24px;
    word-wrap: anywhere;
    background-color: var(--input-background-color);
    border-radius: 10px;
    padding: 10px;
    border: 3px var(--red-color) solid;
    user-select: all;
    -webkit-user-select: all;
}

form .input-container.row{
    flex-direction: row;
    justify-content: space-around;
}

form .input-container.row.start{ justify-content: start; }

form .input-container.mini{
    min-height: 20px;
    height: fit-content;
}

form .input-container.mini input{
    min-height: 20px;
    height: fit-content;
}

form .input-container.mini > label{ margin-right: 10px; }

form .input-container.row > label{ height: fit-content; }

form .input-container > label{
    margin-right: 20px;
    font-size: large;
}

form .input-container input{
    min-height: 30px;
    border-radius: 5px;
    border: 0;
    font-size: medium;
    background-color: var(--input-background-color);
    color: var(--text-color);
    outline: none;
}

form .input-container.suggestion input{ margin: 6px 0; }

form .input-container select{
    height: 32px;
    border-radius: 5px;
    border: 0;
    font-size: medium;
    background-color: var(--input-background-color);
    color: var(--text-color);
}

form .input-container input{ padding-left: 10px; }

form .input-container input:focus{ background-color: var(--input-background-color-focus); }

form > label{ width: 150px; }

form .button-container{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

input[type="file"] {
  color: #b8b8b8;
  border-radius: 10px;
  background-color: rgba(70, 70, 70, 0.3);
}

form > .aceEditor-container { height: 300px; }

form > .aceEditor-container #editor{ height: 275px; }

form > .aceEditor-container #editor .ace_placeholder {
    font-size: 16px;
    display: inline;
}

.suggestionContainer {
    background-color: rgb(50,50,54);
    z-index: 2;
    border-radius: 10px;
    padding: 5px;
    display: none;
    flex-direction: column;
    justify-content: space-between;
}

.suggestionContainer > div{
    padding: 5px 10px;
    margin: 2px 0;
}

.suggestionContainer > div:hover, .suggestionContainer > div.active{ background-color: rgb(40,40,44); }

form .button{ margin: 25px 0; }

.modalActionContainer{
    background-color: var(--background-color2);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    min-width: 200px;
    width: 80%;
    margin: auto;
    padding: 20px;
    border-radius: 10px;
}

.closeModalButtonContainer{
    width: 100%;
    display: flex;
    justify-content: end;
    margin-bottom: -25px;
}
.closeModalButtonContainer > svg{
    height: 25px;
    rotate: 45deg;
    transition: transform 0.4s, scale 0.4s;
    cursor: pointer;
}

.closeModalButtonContainer > svg:hover{
    animation-duration: 4s;
    transform: rotate(90deg) scale(1.2);
    
}

/* Loader */
.modal{
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    padding: 20px;
    box-sizing: border-box;
    background-color: rgba(40, 40, 40, 0.7);
}

.modal-container{
    margin: auto;
    padding: 20px;
}

.loader {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    display: inline-block;
    border-top: 3px solid #FFF;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

.notification {
position: fixed;
z-index: 9999;
left: 10px;
padding: 10px;
border-radius: 4px;
font-size: 16px;
color: #fff;
box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
opacity: 0;
transition: opacity 0.3s ease-in-out;
overflow: hidden;
white-space: nowrap;
text-overflow: ellipsis;
}

.successbg { background-color: var(--success-color); }

.warningbg { background-color: var(--warning-color); }

.errorbg { background-color: var(--error-color); }

.notification:first-child { bottom: 10px; }

.notification:not(:first-child) { bottom: calc(10px + 60px * (var(--index) - 1)); }


.paginationContainer {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
}

.paginationContainer.top { margin-bottom: 20px; }

.paginationContainer.bottom { margin-top: 20px; }

.paginationContainer a{
    width: 30px;
    height: 30px;
    margin: 0 10px;
    border-radius: 5px;
    font-size: x-large;
    text-align: center;
    color: var(--text-color);
    background-color: var(--input-background-color);
}

.paginationContainer a:hover{ background-color: var(--input-background-color-focus);
}

.paginationContainer a.active{ background-color: var(--table-background-color1);
}

#map{
    height: 200px;
    width: 400px;
    border-radius: 10px;
}

@keyframes rotation {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
} 

@media (max-width: 550px) {
    .header > .left-container > a span { display: none; }

    .header > .left-container { width: 80px; }

    .header > .title-container .title#clock, .header > .title-container .title .dash { display: none; }
    }